Commit 3c08a57f authored by POTTIER Francois's avatar POTTIER Francois
Browse files

Updated [quicktest/build.sh] to also install menhirSdk.

parent a21bdd4f
......@@ -3,6 +3,8 @@
# This script rebuilds Menhir and MenhirLib from scratch, so as to make sure
# that we are testing the current development version.
# Maybe we should just remove this script and use "opam pin" instead.
. ./config.sh
# Removing $BUILD ensures that Menhir is rebuilt from scratch, but this is
......@@ -11,15 +13,16 @@
# Recompile.
rm -f $SRC/installation.ml
echo "Building Menhir and MenhirLib..."
if ! make -C $SRC >/dev/null ; then
echo "Building Menhir, MenhirLib, MenhirSdk..."
if ! make -C $SRC stage1 sdk >/dev/null ; then
echo "Could not build Menhir. Stop."
exit 1
fi
# Re-install MenhirLib.
echo "Removing old MenhirLib..."
ocamlfind remove menhirLib
# Re-install MenhirLib and MenhirSdk.
echo "Removing old MenhirLib and MenhirSdk..."
ocamlfind remove menhirLib || true
ocamlfind remove menhirSdk || true
echo "Installing new MenhirLib..."
cp -f $SRC/menhirLib.META $SRC/META
trap "{ rm -f $SRC/META ; }" EXIT
......@@ -29,3 +32,11 @@ if ! ocamlfind install menhirLib \
echo "Could not install MenhirLib. Stop."
exit 1
fi
echo "Installing new MenhirSdk..."
cp -f $SRC/menhirSdk.META $SRC/META
if ! ocamlfind install menhirSdk \
$SRC/META $SDKDIR/menhirSdk.cmi $SDKDIR/menhirSdk.cmo \
$SDKDIR/menhirSdk.cmx $SDKDIR/menhirSdk.o; then
echo "Could not install MenhirSdk. Stop."
exit 1
fi
......@@ -8,6 +8,7 @@ else
fi
BUILD=$SRC/_stage1
SDKDIR=$SRC/_sdk
MENHIR=$BUILD/menhir.native
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment